- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions | Protected Attributes

# Importer Class Reference

This reference page is linked to from the following overview topics: Writing Plug-ins, Mesh Importer and Exporter Plug-ins.

Search for all occurrences

## Detailed Description

This class is the base class for plugins that import geometry into Mudbox.

To create a new importer plugin, derive your own class from this one and implement it. Use the DECLARE_CLASS and IMPLEMENT_CLASS macros to provide information about your importer to Mudbox. Once this is done, Mudbox will know enough about your class to use it. When the user wants to import a new file, mudbox will show the user a list of files filtered by the extension specified by your derived class, and if the user chooses one of those files, mudbox will instantiate your class and use it to import the file. When instantiated, the Importer will create it's own private scene. Override the Import() method to attach translated data items to the Importer's scene. Once the Import() call is complete, Mudbox will merge data from the importer's scene into the current scene.

At this time, meshes, materials and cameras are supported for import.

Examples:

  PLYImport/Importer.cpp, and PtexImporter/PtexImporter.h.

Definition at line 58 of file importexport.h.

`#include <importexport.h>`

Inheritance diagram for Importer:
[legend]

List of all members.

## Protected Member Functions
| Importer ()
| Do not use the constructor directly.
## Protected Attributes
aptr< Scene > | m_pScene
| Do not access this variable directly.

## Constructor & Destructor Documentation

Importer | ( |  | ) | `[protected]`

Do not use the constructor directly.

use CreateInstances instead.

## Member Data Documentation

aptr<Scene> m_pScene `[protected]`

Search for all occurrences

Do not access this variable directly.

use SceneCreatedByImporter() instead.

Definition at line 120 of file importexport.h.

The documentation for this class was generated from the following file:

- Mudbox/importexport.h

Importer Importer Importer Importer Importer Importer Importer Importer Importer Importer
Importer Importer Importer Importer Importer Importer Importer Importer Importer Importer